Package org.eclipse.mat.inspections

## Class ClassReferrersQuery.OutboundClasses

- java.lang.Object
- - org.eclipse.mat.inspections.ClassReferrersQuery.OutboundClasses

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  ClassReferrersQuery

    public static class ClassReferrersQuery.OutboundClasses
    extends Object

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
`OutboundClasses​(ISnapshot snapshot, int[] objectIds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`URL` `getIcon​(Object row)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OutboundClasses

    public OutboundClasses​(ISnapshot snapshot,
                           int[] objectIds)

### Method Detail

#### getIcon

    public URL getIcon​(Object row)